Bug 588493 - Unable to select local BIOS RAID drive as boot drive
Unable to select local BIOS RAID drive as boot drive
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F13Blocker/F13FinalBlocker
  Show dependency treegraph
 
Reported: 2010-05-03 15:56 EDT by James Laska
Modified: 2013-09-02 02:48 EDT (History)
4 users (show)

See Also:
Fixed In Version: anaconda-13.40-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-05 13:26:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot.png (101.63 KB, image/png)
2010-05-03 15:56 EDT, James Laska
no flags Details
/tmp/*log (tgz) (230.45 KB, application/x-gzip)
2010-05-03 16:01 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2010-05-03 15:56:12 EDT
Created attachment 411107 [details]
Screenshot.png

Description of problem:

In cleardisksel, I have a local BIOS RAID device, and a remote iSCSI device.  I'm not able to select the local BIOS RAID device as my boot device.  It seems to only allow selecting the remote iSCSI device for boot.

Version-Release number of selected component (if applicable):
 * anaconda-13.39

How reproducible:


Steps to Reproduce:
1. Boot the installer on a BIOS RAID system
2. Manually add an iSCSI remote volume
3. Attempt to use the iSCSI volume as a data partition, and install to the local BIOS RAID adapter
  
Actual results:

See attached screenshot.

Expected results:

The same thing in the screenshot, but with the local BIOS RAID adapter selectable.

Additional info:

 * See attached tarball containing /tmp/*log files
Comment 1 James Laska 2010-05-03 16:01:12 EDT
Created attachment 411110 [details]
/tmp/*log (tgz)
Comment 2 Adam Williamson 2010-05-03 20:55:09 EDT
I have a case jlaska thinks is similar.

1. Write the F13 TC1 netinst.iso to a USB stick with livecd-iso-to-disk (to test #568343)
2. Boot the installer and proceed.
3. At disks-to-be-involved stage, check the system hard disk (you can't uncheck the USB stick, so both are checked as you proceed).
4. At the 'Data Storage Devices' / 'Install Target Devices' selection stage, note that you cannot set the system hard disk as the Boot device, whether you add only the system disk to the 'Install Target Devices' set, or both the system disk and the USB stick. Only the USB stick can have the 'Boot' radio button clicked. If you try to proceed with only the system hard disk in the 'Install Target Devices' set, anaconda refuses as nothing has 'Boot' clicked.

I can't proceed further in the install with both devices selected and the USB stick set to 'Boot', and see what ultimately happens, as I can't really install anything to the hard disk in the test system. Sorry.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Adam Williamson 2010-05-03 20:59:22 EDT
Not sure whether the above is serious enough to make this a blocker...

Note that this seems specific to the netinst.iso-written-to-USB-stick scenario; if I boot from a normally-burned DVD of the full DVD ISO, with the USB stick connected, and select both the USB stick and the system hard disk as storage devices, I don't hit the bug: at the 'DSD' / 'ITD' stage I *can* set the system hard disk as the boot device. Haven't tested with netinst.iso-written-to-DVD, but I rather suspect it'd work.
Comment 4 Hans de Goede 2010-05-04 04:35:20 EDT
Have you actually tried to click on the radio button in the selection ?

The radio button gets automatically set to the 1st boot device, which when booting of a usb stick is the usb stick, if you've filtered out the usb stick then we will use the next first boot device as indicated by the BIOS. It could be the BIOS does not provide EDD info for the raid set when booting from usb stick and then we will determine which is the 1st boot device by sorting by name. So the iscsi disk comes first.

You can however change the default selection by clicking the radio button.
Comment 5 James Laska 2010-05-04 08:19:50 EDT
(In reply to comment #4)
> Have you actually tried to click on the radio button in the selection ?
> <snip>
> You can however change the default selection by clicking the radio button.    

As noted in comment#0, "I'm not able to select the local BIOS RAID device as my boot device."  The radio button is not selectable for some reason.
Comment 6 Adam Williamson 2010-05-04 09:22:40 EDT
impact:

<hansg> Any time we get the boot disk wrong (which we do as we use heuristics) and any time the user does not want to select what we think will be the  boot disk for installation the user looses

makes it clearly a blocker.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Hans de Goede 2010-05-04 10:09:51 EDT
This is fixed in anaconda-13.40-1, moving to modified.
Comment 8 James Laska 2010-05-04 10:26:26 EDT
Confirmed fix using anaconda-13.39-1 + http://people.fedoraproject.org/~jwrdegoede/f13-updates.img
Comment 9 Adam Williamson 2010-05-05 12:58:27 EDT
We should now be able to confirm that this bug is fixed using the images here:

http://alt.fedoraproject.org/pub/alt/stage/13.0505/Fedora/i386/os/images/

if we have not yet confirmed the fix, can anyone able to reproduce this bug please test with one of those images and check that the bug is fixed? Thanks.
Comment 10 James Laska 2010-05-05 13:26:40 EDT
Confirmed fix using vmlinuz, initrd.img and install.img from the URL in comment#9.
Comment 11 Adam Williamson 2010-05-05 13:40:53 EDT
I confirm that this works with the 0505 image in my situation too.

Note You need to log in before you can comment on or make changes to this bug.